/**
 * This class contains the tags used in the file format of the application; 
 * the tags are contained in an array who's first element indicates the length.   
*/

public interface Tags {
    final String tag[] = {
	"60",
	"!----- delimiter -----",
	"IN",
	"/IN",
	"OUT",
	"/OUT",
	"REC",
	"/REC",
	"ALI",
	"/ALI",
	"STAT",
	"/STAT",
	"SYN",
	"/SYN",
	"DEEP",
	"/DEEP",
	"PRE",
	"/PRE",
	"LANG",
	"/LANG",
	"SYNIN",
	"/SYNIN",
	"SYNOUT",
	"/SYNOUT",
	"SEMIN",
	"/SEMIN",
	"SEMOUT",
	"/SEMOUT",
	"MISIN",
	"/MISIN",
	"MISOUT",
	"/MISOUT",
	"QUAL",
	"/QUAL",
	"EFF",
	"/EFF",
	"NUMIU",
	"/NUMIU",
	"NESIU",
	"/NESIU",
	"NTRNIU",
	"/NTRNIU",
	"NDELIU",
	"/NDELIU",
	"NINNIU",
	"/NINNIU",
	"DIALIN",
	"/DIALIN",
	"DIALOUT",
	"/DIALOUT",
	"MODULE",
	"/MODULE",
	"BEST",
	"/BEST",
	"CHOSEN",
	"/CHOSEN",
	"RECQUAL",
	"/RECQUAL",
	"SOUND",
	"/SOUND"
    };
    
    /**
     * The method isTag must be implemented from the class that wants 
     * to use the tags to discover wheter a String value is a tag
     * @see UserInterface
     */
    public boolean isTag(String value);
}
