import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

public class InformationElementList extends JPanel {
    public JComboBox max;
    public JComboBox min;
    public JComboBox sign;
    JLabel label;
    String sources[] = {"disabled", "0 %", "5 %", "10 %", "15 %", "20 %", "25 %", "30 %", "35 %", "40 %", "45 %", "50 %", "55 %", "60 %", "65 %", "70 %", "75 %", "80 %", "85 %", "90 %", "95 %", "100 %"};

    public int getMin() {
	String value = (String) min.getSelectedItem();
	if (value.equals(sources[0]))
	    return (-1);
	else {
	    // build the string
	    if (value.charAt(1) == ' ')
		value = value.substring(0, 1);
	    else if (value.charAt(2) == ' ')
		value = value.substring(0, 2);
	    else if (value.charAt(3) == ' ')
		value = value.substring(0, 3);
	    
	    
	    return Integer.parseInt(value);
	}
    }
    public int getMax() {
	String value = (String) max.getSelectedItem();
	if (value.equals(sources[0]))
	    return (-1);
	else {
	    // build the string
	    if (value.charAt(1) == ' ')
		value = value.substring(0, 1);
	    else if (value.charAt(2) == ' ')
		value = value.substring(0, 2);
	    else if (value.charAt(3) == ' ')
		value = value.substring(0, 3);
	    
	    return Integer.parseInt(value);
	}
    }

    public InformationElementList(String title) {
	this.setLayout(new BorderLayout());
	label = new JLabel(title);
	label.setBorder(new EmptyBorder(4,4,4,4));
	this.add(label, BorderLayout.WEST);
	JPanel p = new JPanel(new BorderLayout());
	min = new JComboBox();	
	min.addItem(sources[0]);
	for (int i = 1; i < 22; i++)
	    min.addItem(sources[i]);
	p.add(min, BorderLayout.CENTER);
	max = new JComboBox();	
	max.addItem(sources[0]);
	for (int i = 1; i < 22; i++)
	    max.addItem(sources[i]);
	p.add(max, BorderLayout.EAST);


	this.add(p, BorderLayout.EAST);
        this.setBorder(BorderFactory.createEtchedBorder());
    }
} 
